[Python-modules-commits] r21711 - in packages/pyfribidi/trunk/debian (changelog repack watch)
aelmahmoudy-guest at users.alioth.debian.org
aelmahmoudy-guest at users.alioth.debian.org
Sat May 12 08:32:43 UTC 2012
Date: Saturday, May 12, 2012 @ 08:32:39
Author: aelmahmoudy-guest
Revision: 21711
Repack upstream source to remove convenience copy of fribidi library.
(Closes: #671321)
Added:
packages/pyfribidi/trunk/debian/repack
Modified:
packages/pyfribidi/trunk/debian/changelog
packages/pyfribidi/trunk/debian/watch
Modified: packages/pyfribidi/trunk/debian/changelog
===================================================================
--- packages/pyfribidi/trunk/debian/changelog 2012-05-11 23:46:18 UTC (rev 21710)
+++ packages/pyfribidi/trunk/debian/changelog 2012-05-12 08:32:39 UTC (rev 21711)
@@ -1,3 +1,10 @@
+pyfribidi (0.11.0+repack-1) unstable; urgency=low
+
+ * Repack upstream source to remove convenience copy of fribidi library.
+ (Closes: #671321)
+
+ -- Ø£ØÙ
د اÙÙ
ØÙ
Ùد٠(Ahmed El-Mahmoudy) <aelmahmoudy at sabily.org> Sat, 12 May 2012 10:14:14 +0200
+
pyfribidi (0.11.0-1) unstable; urgency=low
[ Ø£ØÙ
د اÙÙ
ØÙ
Ùد٠(Ahmed El-Mahmoudy) ]
Added: packages/pyfribidi/trunk/debian/repack
===================================================================
--- packages/pyfribidi/trunk/debian/repack (rev 0)
+++ packages/pyfribidi/trunk/debian/repack 2012-05-12 08:32:39 UTC (rev 21711)
@@ -0,0 +1,60 @@
+#!/bin/bash --
+
+set -e
+
+VERSION=$2
+TARBALL="`readlink -f "$3"`"
+
+TMPDIR=`mktemp -d`
+
+cd "$TMPDIR"
+
+if [ -n "$VERBOSE" ]; then
+ echo "Repacking tarball $TARBALL"
+fi
+
+if grep tar.gz$ <<< $TARBALL &>/dev/null; then
+ TYPE=gzip
+ tar zxf "$TARBALL"
+elif grep tar.bz2$ <<< $TARBALL &>/dev/null; then
+ TYPE=bzip2
+ tar jxf "$TARBALL"
+elif grep zip$ <<< $TARBALL &>/dev/null; then
+ TYPE=zip
+ unzip -qq "$TARBALL"
+else
+ echo "Do not know how to unpack $TARBALL (expecting tar.gz, tar.bz2 or zip)"
+fi
+
+SUBDIR=
+if [ "`ls -1 | wc -l`" = "1" ]; then
+ cd *
+ SUBDIR=true
+fi
+
+rm -rf fribidi-src
+
+if [ -n "$SUBDIR" ]; then
+ cd ..
+fi
+
+rm -f "$TARBALL"
+
+case "$TYPE" in
+gzip)
+ tar zcf "$TARBALL" *
+ ;;
+bzip2)
+ tar jcf "$TARBALL" *
+ ;;
+zip)
+ tar zcf "${TARBALL%.zip}.tar.gz" *
+ ;;
+esac
+
+cd /
+rm -rf "$TMPDIR"
+
+if [ -n "$VERBOSE" ]; then
+ echo "done"
+fi
Property changes on: packages/pyfribidi/trunk/debian/repack
___________________________________________________________________
Added: svn:executable
+ *
Modified: packages/pyfribidi/trunk/debian/watch
===================================================================
--- packages/pyfribidi/trunk/debian/watch 2012-05-11 23:46:18 UTC (rev 21710)
+++ packages/pyfribidi/trunk/debian/watch 2012-05-12 08:32:39 UTC (rev 21711)
@@ -3,4 +3,7 @@
# If your package is located on sourceforge, use the following format
# difficult mirror system.
http://sf.net/pyfribidi/pyfribidi-(.*)\.tar\.(?:gz|bz2)
-http://pypi.python.org/packages/source/p/pyfribidi/pyfribidi-(.*)\.zip
+
+opts="uversionmangle=s/$/\+repack/," \
+ http://pypi.python.org/packages/source/p/pyfribidi/pyfribidi-(.*)\.zip \
+ debian ./debian/repack
More information about the Python-modules-commits
mailing list